lkml.org 
[lkml]   [2013]   [Mar]   [5]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 8/9] iommu: OMAP: build only on OMAP2+
* Arnd Bergmann <arnd@arndb.de> [130305 14:21]:
> The OMAP IOMMU driver intentionally fails to build on OMAP1
> platforms, so we should not allow enabling it there.
>
> Signed-off-by: Arnd Bergmann <arnd@arndb.de>
> Cc: Joerg Roedel <joro@8bytes.org>
> Cc: iommu@lists.linux-foundation.org
> Cc: Ohad Ben-Cohen <ohad@wizery.com>
> Cc: Tony Lindgren <tony@atomide.com>
> Cc: Omar Ramirez Luna <omar.luna@linaro.org>

Makes sense, I doubt that anybody will work on omap1 version
at this point:

Acked-by: Tony Lindgren <tony@atomide.com>

> ---
> drivers/iommu/Kconfig | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/drivers/iommu/Kconfig b/drivers/iommu/Kconfig
> index 5c514d07..c332fb9 100644
> --- a/drivers/iommu/Kconfig
> +++ b/drivers/iommu/Kconfig
> @@ -130,7 +130,7 @@ config IRQ_REMAP
> # OMAP IOMMU support
> config OMAP_IOMMU
> bool "OMAP IOMMU Support"
> - depends on ARCH_OMAP
> + depends on ARCH_OMAP2PLUS
> select IOMMU_API
>
> config OMAP_IOVMM
> --
> 1.8.1.2
>


\
 
 \ /
  Last update: 2013-03-06 02:41    [W:0.187 / U:0.012 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site